Libcurl and iOS6 on Cocos2d-x - Plunge Interactive

Libcurl and iOS6 on Cocos2d-x

If you try to use cocos2dx that makes use of libcurl in an iOS 6 device, you will notice that you have problems, since it is not compiled supporting the armv7s architecture.

In order to solve this issue (that I’m sure the Cocos2d-x will fix very soon in the next release), you can download a compilation of libcurl that supports the architecture: http://knippie.com/libcurl.a

It should also work with iPhone4, iPhone 5 and even iPhone 3G, but that last has not been tested.

You can follow up the progress of this issue here.

This site uses cookies to store information on your computer. Some cookies on this site are essential, and the site won't work as expected without them. Read more about them

ACCEPT